#pragma once
#include <cstdint>
#include <string>

namespace Deer {
    namespace EditorEngine {
        struct FrameBufferStruct : FrameBufferRefStruct{
            FrameBufferStruct(uint16_t _id) { frameBufferId = _id; }
            
            int getWidth();
            int getHeight();

            void resize(int, int);
            std::string getName();
        };

        FrameBufferStruct createRGBA8FrameBuffer(std::string& name, int, int);
        FrameBufferStruct getFrameBuffer(std::string& name);
    
        void registerFrameBufferStructs();
        void registerFrameBufferFunctions();
    }
}