#pragma once
#include <stdint.h>

namespace Deer {
    namespace EditorEngine {
        struct EntityRefStruct {
            uint16_t entityId;
            uint16_t environmentId;
    
            // This is an internal function to avoid undefined behaviour from angelscript and avoid problems
            bool assertEntity(const char* funcName);
        };

        struct EnvironmentRefStruct {
            uint16_t environmentId;
        };

        struct FrameBufferRefStruct {
            uint16_t frameBufferId;
        };
    }
}