#pragma once
#include "GenericRefStructs.h"
#include <string>

namespace Deer {
    namespace EditorEngine {
        struct EnvironmentStruct : EnvironmentRefStruct {
            void render(EntityRefStruct cameraEntity, FrameBufferRefStruct);

            EntityRefStruct getRootEntity();
            EntityRefStruct getEntity(int);
        };

        EnvironmentRefStruct getMainEnvironment();

        EnvironmentRefStruct createEnvironment(std::string&);
        EnvironmentRefStruct getEnvironment(std::string&);
    }
}